<template>
    <v-container>
        <v-layout align-space-around justify-start column>
            <message-form :messageAttr="message" />
            <message-row v-for="message in sortedMessages"
                         :key="message.id"
                         :message="message"
                         :editMessage="editMessage"
                         :profileId="profile.id"/>
        </v-layout>
    </v-container>
</template>

<script>
    import { mapGetters } from 'vuex'
    import { mapState } from 'vuex'
    import MessageRow from 'components/messages/MessageRow.vue'
    import MessageForm from 'components/messages/MessageForm.vue'
    import messagesApi from 'api/messages'

    export default {
      components: {
        MessageRow,
        MessageForm
      },
      data() {
        return {
          message: null
        }
      },
      computed: {
        ...mapGetters(['sortedMessages']),
        ...mapState(['profile'])
      },
      methods: {
        editMessage(message) {
          this.message = message
        }
      }
    }
</script>

<style>

</style>
